{% extends 'paginaDeCaptura/base.html' %} {% load static %} 
{% load crispy_forms_tags %} {%block content %}

<div class="card p-4">
  {% if messages %}

    {% for message in messages %}
    <div class="alert alert-{{ message.tags }}" {% if message.tags %} {% endif %}>{{ message }}</div>
    {% endfor %}

{% endif %}
  <div>
    <span class="badge bg-danger">ATENÇÃO:</span>
  </div>

  <p class="text-muted mt-2">
    Preencha as informações abaixo com os dados do <strong>titular</strong> da
    compra.
  </p>

  <form
    class="needs-validation"
    novalidate
    action="{% url 'gobig' %}"
    method="POST"
    enctype="multipart/form-data"
  >
    {% csrf_token %}
    <div class="mb-3">
      <label for="name" class="form-label">Nome</label>
      <div class="input-group has-validation">
        <input
          type="text"
          class="form-control"
          id="name"
          name="name"
          aria-describedby="inputGroupPrepend"
          required
          value="{{name}}"
        />
        <div class="invalid-feedback">Campo Obrigatório</div>
      </div>
    </div>
    <div class="mb-3">
      <label for="email" class="form-label">Email</label>
      <div class="input-group has-validation">
        <input
          type="email"
          class="form-control"
          id="email"
          name="email"
          aria-describedby="inputGroupPrepend"
          required
          value="{{email}}"
        />
        <div class="invalid-feedback">Email inválido</div>
      </div>
    </div>
    <div class="mb-3">
      <label for="phone_number" class="form-label">Telefone</label>
      <div class="input-group has-validation">
        <input
          type="tel"
          class="form-control"
          id="phone_number"
          name="phone_number"
          aria-describedby="inputGroupPrepend"
          required
          placeholder="(00) 0 0000-0000"
          value="{{phone_number}}"
        />
        <div class="invalid-feedback">Campo Obrigatório</div>
      </div>
    </div>

      <div class="mb-3">
        <label for="cpf" class="form-label">CPF</label>
        <div class="input-group has-validation">
          <input
            type="tel"
            class="form-control"
            id="cpf"
            name="cpf"
            aria-describedby="inputGroupPrepend"
            required
            value="{{cpf}}"
          />
          <div class="invalid-feedback">Campo Obrigatório</div>
        </div>
      </div>
    <div class="mb-3 row">
      <div class="mb-3 col-md-8">
        <label for="indicacao" class="form-label">Foi indicado por alguém? quem te indicou?</label>
        <div class="input-group has-validation">
          <input
            type="tel"
            class="form-control"
            id="indicacao"
            name="indicacao"
            aria-describedby="inputGroupPrepend"
            value="{{indicacao}}"
          />
          <div class="invalid-feedback">Campo Obrigatório</div>
        </div>
      </div>
      <div class="mb-3 col-md-4">
        <label for="cupom" class="form-label">Cupom de desconto:</label>
        <div class="input-group has-validation invalid">
          <input
            type="text"
            id="cupom"
            {% if isValidCupom %}
            readonly
            class="form-control is-valid"
            {% else %}
            class="form-control"
            {% endif %}
            name="cupom"
            aria-describedby="inputGroupPrepend"
            value="{{cupom}}"
          />
          <div class="invalid-feedback">Campo Obrigatório</div>
        </div>
      </div>
    </div>
    <div class="d-grid">
      <button
        class="btn-lg btn btn-success btn-full my-2"
        style="background: #68bd7c; border: none"
        type="submit"
      >
        EFETUAR MEU CADASTRO
      </button>
    </div>
  </form>
</div>

<script src="//unpkg.com/vanilla-masker@1.1.1/build/vanilla-masker.min.js"></script>

<script>
  VMasker(document.querySelector("#phone_number")).maskPattern(
    "(99) 9 9999-9999"
  );
  VMasker(document.querySelector("#cpf")).maskPattern("999.999.999-99");
</script>

<script>
  (function () {
    "use strict";

    // Fetch all the forms we want to apply custom Bootstrap validation styles to
    var forms = document.querySelectorAll(".needs-validation");

    // Loop over them and prevent submission
    Array.prototype.slice.call(forms).forEach(function (form) {
      form.addEventListener(
        "submit",
        function (event) {
          if (!form.checkValidity()) {
            event.preventDefault();
            event.stopPropagation();
          }

          form.classList.add("was-validated");
        },
        false
      );
    });
  })();
</script>

{% endblock %}
